org.apache.lucene.analysis.bn

## Class BengaliAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.apache.lucene.analysis.StopwordAnalyzerBase
    - - org.apache.lucene.analysis.bn.BengaliAnalyzer

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class BengaliAnalyzer
    extends StopwordAnalyzerBase

Analyzer for Bengali.

Since:
  7.1.0

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

`Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

### Field Summary

Fields
`static String` `DEFAULT_STOPWORD_FILE` File containing default Bengali stopwords.

### Fields inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase

`stopwords`

### Fields inherited from class org.apache.lucene.analysis.Analyzer

`GLOBAL_REUSE_STRATEGY, PER_FIELD_REUSE_STRATEGY`

### Constructor Summary

Constructors
Constructor and Description
`BengaliAnalyzer()` Builds an analyzer with the default stop words: `DEFAULT_STOPWORD_FILE`.
`BengaliAnalyzer(CharArraySet stopwords)` Builds an analyzer with the given stop words
`BengaliAnalyzer(CharArraySet stopwords, CharArraySet stemExclusionSet)` Builds an analyzer with the given stop words

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected Analyzer.TokenStreamComponents` `createComponents(String fieldName)` Creates `Analyzer.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.
`static CharArraySet` `getDefaultStopSet()` Returns an unmodifiable instance of the default stop-words set.
`protected TokenStream` `normalize(String fieldName, TokenStream in)`

### Methods inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase

`getStopwordSet, loadStopwordSet, loadStopwordSet, loadStopwordSet`

### Methods inherited from class org.apache.lucene.analysis.Analyzer

`attributeFactory, close, getOffsetGap, getPositionIncrementGap, getReuseStrategy, getVersion, initReader, initReaderForNormalization, normalize, setVersion, tokenStream, tokenStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_STOPWORD_FILE

    public static final String DEFAULT_STOPWORD_FILE

File containing default Bengali stopwords. Default stopword list is from http://members.unine.ch/jacques.savoy/clef/bengaliST.txt The stopword list is BSD-Licensed.

See Also:
  Constant Field Values

### Constructor Detail

#### BengaliAnalyzer

    public BengaliAnalyzer(CharArraySet stopwords,
                           CharArraySet stemExclusionSet)

Builds an analyzer with the given stop words

Parameters:
  `stopwords` - a stopword set
  `stemExclusionSet` - a stemming exclusion set

#### BengaliAnalyzer

    public BengaliAnalyzer(CharArraySet stopwords)

Builds an analyzer with the given stop words

Parameters:
  `stopwords` - a stopword set

#### BengaliAnalyzer

    public BengaliAnalyzer()

Builds an analyzer with the default stop words: `DEFAULT_STOPWORD_FILE`.

### Method Detail

#### getDefaultStopSet

    public static CharArraySet getDefaultStopSet()

Returns an unmodifiable instance of the default stop-words set.

Returns:
  an unmodifiable instance of the default stop-words set.

#### createComponents

    protected Analyzer.TokenStreamComponents createComponents(String fieldName)

Creates `Analyzer.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.

Specified by:
  `createComponents` in class `Analyzer`
Returns:
  `Analyzer.TokenStreamComponents` built from a `StandardTokenizer` filtered with `LowerCaseFilter`, `DecimalDigitFilter`, `IndicNormalizationFilter`, `BengaliNormalizationFilter`, `SetKeywordMarkerFilter` if a stem exclusion set is provided, `BengaliStemFilter`, and Bengali Stop words

#### normalize

    protected TokenStream normalize(String fieldName,
                                    TokenStream in)

Overrides:
  `normalize` in class `Analyzer`